Bug 1949899 - gcolor3 on Xfce: Failed to pick color: Screenshot failed
Summary: gcolor3 on Xfce: Failed to pick color: Screenshot failed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcolor3
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Floure
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-15 11:04 UTC by Miro Hrončok
Modified: 2021-11-30 18:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 18:33:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-04-15 11:04:38 UTC
Description of problem:
The color picker of gcolor3 stopped working on my Xfce Fedora. It used to work fine before, but I haven't used it in a while.

Version-Release number of selected component (if applicable):
gcolor3-2.4.0-1.fc33.x86_64
xdg-desktop-portal-1.8.1-1.fc33.x86_64
xorg-x11-server-Xorg-1.20.10-1.fc33.x86_64
xfwm4-4.16.1-1.fc33.x86_64 from https://copr.fedorainfracloud.org/coprs/nonamedotc/xfce416-f33/


Steps to Reproduce:
1. Open gcolor3 on Xfce
2. Click the color picker

Actual results:
Nothing happens.

Expected results:
Cursor changes to color picker, I can pick colors from my screen.

Additional info:
The console output says:

** (gcolor3:2867328): WARNING **: 13:03:45.003: Failed to pick color: Screenshot failed

Comment 1 Timothée Floure 2021-04-15 11:21:33 UTC
ACK, will take a look over the week-end. Can you reproduce the issue on GNOME (with Xorg) if you have it installed?

Comment 2 Miro Hrončok 2021-04-15 11:28:53 UTC
I don't. I will try but my system disk is getting really full, so not sure if possible.

Comment 3 Olivier Fourdan 2021-04-15 11:33:59 UTC
gcolor3 now uses the portal to take screenshots, it will not work with xfce.

https://gitlab.gnome.org/World/gcolor3/-/commit/f68055ce

Comment 4 Miro Hrončok 2021-04-15 11:38:42 UTC
Indeed, downgrading to gcolor3-2.3.1-7.fc33.x86_64 makes it work again.

I don't think we should have updated gcolor in stable Fedoras like that, but it has already been done. Is there an alternative other than gcolor2?

Comment 5 Timothée Floure 2021-04-15 11:51:43 UTC
> I don't think we should have updated gcolor in stable Fedoras like that, but it has already been done. Is there an alternative other than gcolor2?

Upstream changelog only mentionned 'Color Picker now works on Wayland!' (https://gitlab.gnome.org/World/gcolor3/-/tags/v2.4.0), nothing breaking for Xorg environment. I'll have to look how this portal thing work / where it is (not) implemented - I don't really know how the whole thing is wired.

Comment 6 Miro Hrončok 2021-04-15 11:58:32 UTC
> Upstream changelog only mentionned 'Color Picker now works on Wayland!' (https://gitlab.gnome.org/World/gcolor3/-/tags/v2.4.0), nothing breaking for Xorg environment.

That is really unfortunate :(

> I'll have to look how this portal thing work / where it is (not) implemented - I don't really know how the whole thing is wired.

Thanks!

Comment 7 Ben Cotton 2021-11-04 14:42:18 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-11-04 15:40:25 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-11-30 18:33:19 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.